=== debian/changelog ===
krfb (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:30:14 +0000

krfb (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Install new icons
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Add pkg-config to build depends
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:00:08 +0000

krfb (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Add libxcb -dev packages to build deps, to build new XCB framebuffer
    plugin
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:09:21 +0000
