=== krfb/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 set (krfbprivate_SRCS
      framebuffer.cpp
      framebufferplugin.cpp
+     events.cpp
+     eventsplugin.cpp
 )
 
 add_library (krfbprivate
@@ -18,6 +20,7 @@
                   ${krfbprivate_SRCS}
 )
 generate_export_header(krfbprivate BASE_NAME krfbprivate)
+
 
 target_link_libraries (krfbprivate
                        Qt5::Core
@@ -39,6 +42,7 @@
 
 install (FILES
          krfb-framebuffer.desktop
+         krfb-events.desktop
          DESTINATION ${SERVICETYPES_INSTALL_DIR}
 )
 
@@ -48,8 +52,9 @@
 
 set (krfb_SRCS
      connectiondialog.cpp
+     framebuffermanager.cpp
      events.cpp
-     framebuffermanager.cpp
+     eventsmanager.cpp
      main.cpp
      mainwindow.cpp
      sockethelpers.cpp
@@ -73,6 +78,10 @@
                    ui/mainwidget.ui
 )
 
+qt5_add_resources(krfb_SRCS
+    krfb.qrc
+)
+
 add_executable (krfb
                      ${krfb_SRCS}
 )
@@ -92,6 +101,7 @@
                        KF5::Notifications
                        KF5::Wallet
                        KF5::WidgetsAddons
+                       KF5::WindowSystem
                        KF5::XmlGui
                        ${LIBVNCSERVER_LIBRARIES}
 )
@@ -119,4 +129,4 @@
 install (FILES krfb.notifyrc
          DESTINATION ${DATA_INSTALL_DIR}/krfb
 )
- 
+
