=== debian/changelog ===
krfb (4:19.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream point release (19.12.3).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Mar 2020 19:23:11 +0100

krfb (4:19.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * New upstream release (19.12.2). (Closes: #949083)
  * Update build dependencies according to upstream build system:
    - cmake >= 3.0
    - Qt >= 5.6.0
    - KF5 libraries >= 5.31.0
    - add libpipewire-0.2-dev build dependency
  * Drop patch build_against_gcc-6.patch fixed upstream.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Use secure copyright file specification URI.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Switch from dhmk to dh --with kf5.
  * Borrow minimal upstream signing key from k3b.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.
  * Add hardening=+all build hardening flag.
  * Refresh debian/copyright.
  * Update project homepage URL.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 Feb 2020 19:52:18 +0100
