## krfb 20.08.2

=== debian/changelog ===
krfb (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:40:15 +0100

krfb (4:20.08.1-2) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Build with libpipewire-0.3-dev (Closes: #969612)

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 07:20:49 +0200

krfb (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch add_libpthread_to_krfb.diff, as krfb builds fine even without.
  * Limit the libpipewire-0.2-dev build dependency as linux-any, as pipewire
    exists only on Linux; this makes krfb buildable on non-Linux architectures.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 17:56:19 +0200

krfb (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 24 Aug 2020 19:41:16 +0200

krfb (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Refresh copyright information.
  * Bump debhelper compatibility level to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 16 Jun 2020 17:55:51 +0200
