=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.31.0~),
+               gettext,
                libjpeg-dev,
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
@@ -23,7 +24,7 @@
                libkf5wallet-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libpipewire-0.2-dev,
+               libpipewire-0.3-dev [linux-any],
                libqt5x11extras5-dev (>= 5.6.0~),
                libvncserver-dev,
                libx11-dev,
