=== framebuffers/pipewire/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,15 @@
 set (krfb_framebuffer_pw_SRCS
      pw_framebuffer.cpp
      pw_framebufferplugin.cpp
+)
+
+
+ecm_qt_declare_logging_category(krfb_framebuffer_pw_SRCS
+    HEADER krfb_fb_pipewire_debug.h
+    IDENTIFIER KRFB_FB_PIPEWIRE
+    CATEGORY_NAME krfb.framebuffer.pipewire
+    DESCRIPTION "KRFB PipeWire framebuffer plugin"
+    EXPORT KRFB
 )
 
 qt5_add_dbus_interface(
@@ -24,6 +33,12 @@
     ${krfb_framebuffer_pw_SRCS}
 )
 
+
+check_include_file("linux/dma-buf.h" HAVE_LINUX_DMABUF_H)
+if (HAVE_LINUX_DMABUF_H)
+    target_compile_definitions(krfb_framebuffer_pw PRIVATE -DHAVE_LINUX_DMABUF_H)
+endif ()
+
 target_link_libraries (krfb_framebuffer_pw
                        Qt5::Core
                        Qt5::Gui
