=== debian/changelog ===
krfb (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 14:33:49 +0100

krfb (4:20.12.0-2) unstable; urgency=medium

  * Reupload source-only so it can migrate to testing.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Jan 2021 16:16:36 +0100

krfb (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update the build dependencies according to the upstream build system:
    - KF5 >= 5.68
    - drop libkf5completion-dev
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 22:00:24 +0100

krfb (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 30 Oct 2020 12:13:23 +0100
