=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
+               libepoxy-dev,
+               libgbm-dev,
                libjpeg-dev,
                libkf5config-dev (>= 5.68.0~),
                libkf5coreaddons-dev (>= 5.68.0~),
