## krfb 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION 5.10.0)
-set(KF5_MIN_VERSION 5.68.0)
+set(QT_MIN_VERSION 5.15.0)
+set(KF5_MIN_VERSION 5.85.0)
 
 find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})
@@ -38,6 +38,7 @@
     DocTools
     Notifications
     Wallet
+    Wayland
     WidgetsAddons
     WindowSystem
     XmlGui
@@ -77,11 +78,42 @@
 
 find_package(LibVNCServer REQUIRED)
 
-find_package(PipeWire)
-set_package_properties(PipeWire PROPERTIES
+
+pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3)
+add_feature_info(PipeWire PipeWire_FOUND "Required for pipewire screencast plugin")
+find_package(PlasmaWaylandProtocols 1.5.0)
+
+if(PipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
+    find_package(QtWaylandScanner REQUIRED)
+    find_package(Qt5WaylandClient)
+    find_package(Qt5XkbCommonSupport)
+    find_package(Wayland REQUIRED COMPONENTS Client)
+endif()
+
+find_package(gbm)
+set_package_properties(gbm PROPERTIES
     TYPE OPTIONAL
-    PURPOSE "Required for pipewire screencast plugin"
+    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
 )
+
+find_package(EGL)
+set_package_properties(EGL PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
+)
+
+find_package(epoxy)
+set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
+    URL "https://github.com/anholt/libepoxy"
+    TYPE OPTIONAL
+    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
+)
+
+if(EGL_FOUND AND gbm_FOUND AND epoxy_FOUND)
+  set (HAVE_DMA_BUF TRUE)
+else()
+  set (HAVE_DMA_BUF FALSE)
+endif()
 
 ecm_setup_version(PROJECT
                   VARIABLE_PREFIX KRFB
