=== krfb/CMakeLists.txt ===
--- 
+++ 
@@ -36,14 +36,14 @@
 )
 
 install (TARGETS krfbprivate
-         ${INSTALL_TARGETS_DEFAULT_ARGS}
+         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
          LIBRARY NAMELINK_SKIP
 )
 
 install (FILES
          krfb-framebuffer.desktop
          krfb-events.desktop
-         DESTINATION ${SERVICETYPES_INSTALL_DIR}
+         DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR}
 )
 
 #####################################
@@ -66,11 +66,19 @@
      invitationsrfbclient.cpp
 )
 
+ecm_qt_declare_logging_category(krfb_SRCS
+    HEADER krfbdebug.h
+    IDENTIFIER KRFB
+    CATEGORY_NAME krfb.krfb
+    DESCRIPTION "KRFB Application"
+    EXPORT KRFB
+)
+
 kconfig_add_kcfg_files (krfb_SRCS
                      krfbconfig.kcfgc
 )
 
-ki18n_wrap_ui (krfb_SRCS
+ki18n_wrap_ui (krfb_UI_SRCS
                    ui/configtcp.ui
                    ui/configsecurity.ui
                    ui/configframebuffer.ui
@@ -84,6 +92,7 @@
 
 add_executable (krfb
                      ${krfb_SRCS}
+                     ${krfb_UI_SRCS}
 )
 
 target_link_libraries (krfb
@@ -93,7 +102,6 @@
                        ${X11_X11_LIB}
                        ${X11_Xdamage_LIB}
                        Qt5::Network
-                       KF5::Completion
                        KF5::CoreAddons
                        KF5::DBusAddons
                        KF5::DNSSD
@@ -113,13 +121,48 @@
 endif (X11_XTest_FOUND)
 
 install (TARGETS krfb
-         ${INSTALL_TARGETS_DEFAULT_ARGS}
+         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
+)
+
+#################################
+kconfig_add_kcfg_files (krfbvm_SRCS
+                     krfbconfig.kcfgc
+)
+
+ecm_qt_declare_logging_category(krfbvm_SRCS
+    HEADER krfbdebug.h
+    IDENTIFIER KRFB
+    CATEGORY_NAME krfb.krfb
+    DESCRIPTION "KRFB Application"
+    EXPORT KRFB
+)
+
+add_executable(krfb-virtualmonitor main-virtualmonitor.cpp ${krfbvm_SRCS} ${krfb_UI_SRCS}
+                                   rfbserver.cpp rfbclient.cpp rfbservermanager.cpp eventsmanager.cpp framebuffermanager.cpp sockethelpers.cpp)
+target_link_libraries(krfb-virtualmonitor
+                      krfbprivate
+                      Qt5::Gui
+                      Qt5::Network
+                      KF5::ConfigGui
+                      KF5::CoreAddons
+                      KF5::I18n
+                      KF5::Notifications
+                      KF5::WindowSystem
+)
+
+install (TARGETS krfb-virtualmonitor
+         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
+)
+
+configure_file(org.kde.krfb.virtualmonitor.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krfb.virtualmonitor.desktop @ONLY)
+install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krfb.virtualmonitor.desktop
+         DESTINATION ${KDE_INSTALL_APPDIR}
 )
 
 ########### install files ###############
 
 install (PROGRAMS org.kde.krfb.desktop
-         DESTINATION ${XDG_APPS_INSTALL_DIR}
+         DESTINATION ${KDE_INSTALL_APPDIR}
 )
 
 install(FILES org.kde.krfb.appdata.xml
@@ -127,6 +170,6 @@
 )
 
 install (FILES krfb.notifyrc
-         DESTINATION ${DATA_INSTALL_DIR}/krfb
+         DESTINATION ${KDE_INSTALL_DATADIR}/krfb
 )
